import { createApp } from 'vue';
import ArcoVue from '@arco-design/web-vue';
import ArcoVueIcon from '@arco-design/web-vue/es/icon';
import globalComponents from '@/components';
import router from './router';
import store from './store';
import directive from './directive';
import { setupTanstackQuery } from './plugins/tanstack-query';
import './mock';
import App from './App.vue';
import '@/assets/style/global.less';
import '@/api/interceptor';

const app = createApp(App);

app.use(ArcoVue, {});
app.use(ArcoVueIcon);

setupTanstackQuery(app);

app.use(router);
app.use(store);
app.use(globalComponents);
app.use(directive);

app.mount('#app');
